findByCode
curl --request GET \
--url https://seller.hogotopod.com/api/v1/product/{code} \
--header 'X-Tenant: <api-key>'const options = {method: 'GET', headers: {'X-Tenant': '<api-key>'}};
fetch('https://seller.hogotopod.com/api/v1/product/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seller.hogotopod.com/api/v1/product/{code}"
headers = {"X-Tenant": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://seller.hogotopod.com/api/v1/product/{code}")
.header("X-Tenant", "<api-key>")
.asString();{
"code": "<string>",
"count": 123,
"error": true,
"message": "<string>",
"result": {
"category": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
},
"code": "<string>",
"colorMockups": [
{
"colorCode": "<string>",
"mockupImage": "<string>"
}
],
"colors": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
],
"description": "<string>",
"embroideryThread": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
],
"fabric": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
},
"hsCode": "<string>",
"hsName": "<string>",
"id": "<string>",
"imageAlbum": [
"<string>"
],
"is3dProduct": true,
"linkTemplate": "<string>",
"minPriceHogotoEpacket": 123,
"maxPriceHogotoEpacket": 123,
"mockupImage": "<string>",
"name": "<string>",
"positions": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
],
"sizeCosts": [
{
"hashSize": "<string>",
"physicalSize": {
"actualWeight": 123,
"height": 123,
"length": 123,
"weight": 123,
"width": 123
},
"price": 123,
"priceCost": 123,
"size": "<string>",
"sizeMockupImage": "<string>"
}
],
"sku": "<string>",
"status": "DISABLED",
"thumbnailUrl": "<string>"
},
"showMessage": true
}Product API
findByCode
GET
/
v1
/
product
/
{code}
findByCode
curl --request GET \
--url https://seller.hogotopod.com/api/v1/product/{code} \
--header 'X-Tenant: <api-key>'const options = {method: 'GET', headers: {'X-Tenant': '<api-key>'}};
fetch('https://seller.hogotopod.com/api/v1/product/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seller.hogotopod.com/api/v1/product/{code}"
headers = {"X-Tenant": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://seller.hogotopod.com/api/v1/product/{code}")
.header("X-Tenant", "<api-key>")
.asString();{
"code": "<string>",
"count": 123,
"error": true,
"message": "<string>",
"result": {
"category": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
},
"code": "<string>",
"colorMockups": [
{
"colorCode": "<string>",
"mockupImage": "<string>"
}
],
"colors": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
],
"description": "<string>",
"embroideryThread": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
],
"fabric": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
},
"hsCode": "<string>",
"hsName": "<string>",
"id": "<string>",
"imageAlbum": [
"<string>"
],
"is3dProduct": true,
"linkTemplate": "<string>",
"minPriceHogotoEpacket": 123,
"maxPriceHogotoEpacket": 123,
"mockupImage": "<string>",
"name": "<string>",
"positions": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
],
"sizeCosts": [
{
"hashSize": "<string>",
"physicalSize": {
"actualWeight": 123,
"height": 123,
"length": 123,
"weight": 123,
"width": 123
},
"price": 123,
"priceCost": 123,
"size": "<string>",
"sizeMockupImage": "<string>"
}
],
"sku": "<string>",
"status": "DISABLED",
"thumbnailUrl": "<string>"
},
"showMessage": true
}Authorizations
X-TenantX-API-Key
Path Parameters
code